Create credentials
curl --request POST \
--url https://app.enzo.health/api/v1/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentials": {
"data": {
"port": 123,
"from": {
"email": "<string>",
"name": "<string>"
},
"host": "<string>",
"username": "<string>",
"password": "<string>",
"isTlsEnabled": true
},
"type": "smtp",
"organizationId": "<string>",
"name": "<string>",
"id": "<string>"
}
}
'import requests
url = "https://app.enzo.health/api/v1/credentials"
payload = { "credentials": {
"data": {
"port": 123,
"from": {
"email": "<string>",
"name": "<string>"
},
"host": "<string>",
"username": "<string>",
"password": "<string>",
"isTlsEnabled": True
},
"type": "smtp",
"organizationId": "<string>",
"name": "<string>",
"id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credentials: {
data: {
port: 123,
from: {email: '<string>', name: '<string>'},
host: '<string>',
username: '<string>',
password: '<string>',
isTlsEnabled: true
},
type: 'smtp',
organizationId: '<string>',
name: '<string>',
id: '<string>'
}
})
};
fetch('https://app.enzo.health/api/v1/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credentialsId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Credentials
Create credentials
POST
/
v1
/
credentials
Create credentials
